<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="894e654d-7795-41f8-b884-e08ed895989d" name="Default Changelist" comment="">
      <change afterPath="$PROJECT_DIR$/app/Http/Controllers/API/UsersController.php" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/app/Http/Middleware/CheckUserToken.php" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/app/Http/Middleware/TokenAdmin.php" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/tests/Feature/API/UsersTest.php" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/app/Http/Controllers/API/AuthController.php" beforeDir="false" afterPath="$PROJECT_DIR$/app/Http/Controllers/API/AuthController.php" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/app/Http/Controllers/API/ComentariosController.php" beforeDir="false" afterPath="$PROJECT_DIR$/app/Http/Controllers/API/ComentariosController.php" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/app/Http/Controllers/UserController.php" beforeDir="false" afterPath="$PROJECT_DIR$/app/Http/Controllers/UserController.php" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/app/Http/Kernel.php" beforeDir="false" afterPath="$PROJECT_DIR$/app/Http/Kernel.php" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/app/User.php" beforeDir="false" afterPath="$PROJECT_DIR$/app/User.php" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/database/migrations/2019_04_28_201606_create_users_table.php" beforeDir="false" afterPath="$PROJECT_DIR$/database/migrations/2019_04_28_201606_create_users_table.php" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/resources/views/layouts/main.blade.php" beforeDir="false" afterPath="$PROJECT_DIR$/resources/views/layouts/main.blade.php" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/routes/api.php" beforeDir="false" afterPath="$PROJECT_DIR$/routes/api.php" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/routes/web.php" beforeDir="false" afterPath="$PROJECT_DIR$/routes/web.php" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/tests/Feature/API/AuthTest.php" beforeDir="false" afterPath="$PROJECT_DIR$/tests/Feature/API/AuthTest.php" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/tests/Feature/API/ComentariosTest.php" beforeDir="false" afterPath="$PROJECT_DIR$/tests/Feature/API/ComentariosTest.php" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/tests/Feature/API/FrameworksTest.php" beforeDir="false" afterPath="$PROJECT_DIR$/tests/Feature/API/FrameworksTest.php" afterDir="false" />
    </list>
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="ComposerSettings" doNotAsk="true" synchronizationState="SYNCHRONIZE">
    <pharConfigPath>$PROJECT_DIR$/composer.json</pharConfigPath>
  </component>
  <component name="DatabaseView">
    <option name="SHOW_INTERMEDIATE" value="true" />
    <option name="GROUP_DATA_SOURCES" value="true" />
    <option name="GROUP_SCHEMA" value="true" />
    <option name="GROUP_CONTENTS" value="false" />
    <option name="SORT_POSITIONED" value="false" />
    <option name="SHOW_EMPTY_GROUPS" value="false" />
    <option name="AUTO_SCROLL_FROM_SOURCE" value="false" />
    <option name="HIDDEN_KINDS">
      <set />
    </option>
    <expand />
    <select />
  </component>
  <component name="FavoritesManager">
    <favorites_list name="tp-laravel" />
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/tests/Feature/API/AuthTest.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="321">
              <caret line="67" column="11" lean-forward="true" selection-start-line="67" selection-start-column="11" selection-end-line="67" selection-end-column="11" />
              <folding>
                <element signature="e#37#50#0#PHP" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/tests/Feature/API/ComentariosTest.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="322">
              <caret line="14" column="34" lean-forward="true" selection-start-line="14" selection-start-column="34" selection-end-line="14" selection-end-column="34" />
              <folding>
                <element signature="e#37#89#0#PHP" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/app/Http/Controllers/API/FrameworksController.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="69">
              <caret line="4" column="25" lean-forward="true" selection-start-line="4" selection-start-column="25" selection-end-line="4" selection-end-column="25" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/app/Models/Framework.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="-414" />
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/app/Models/Estrellas.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="-116" />
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/app/Models/Comentario.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="207">
              <caret line="11" lean-forward="true" selection-start-line="11" selection-end-line="11" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/app/Http/Controllers/API/ComentariosController.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="989">
              <caret line="43" selection-start-line="43" selection-end-line="43" />
              <folding>
                <element signature="e#44#70#0#PHP" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/app/Http/Controllers/API/UsersController.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="368">
              <caret line="21" lean-forward="true" selection-start-line="21" selection-end-line="21" />
              <folding>
                <element signature="e#44#57#0#PHP" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/tests/Feature/API/UsersTest.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="1226">
              <caret line="69" column="14" selection-start-line="69" selection-start-column="14" selection-end-line="69" selection-end-column="14" />
              <folding>
                <element signature="e#37#50#0#PHP" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/app/Http/Controllers/API/AuthController.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="391">
              <caret line="89" column="8" selection-start-line="89" selection-start-column="8" selection-end-line="89" selection-end-column="8" />
              <folding>
                <element signature="e#44#93#0#PHP" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>User</find>
      <find>Token</find>
      <find>headers</find>
      <find>User::</find>
      <find>access</find>
      <find>-&gt;accessToken</find>
      <find>User::create</find>
      <find>install</find>
      <find>register</find>
      <find>my-account</find>
      <find>update</find>
      <find>bg-dark</find>
      <find>mensajes de error de las</find>
      <find>scripts</find>
      <find>mi cuenta</find>
      <find>jquery</find>
      <find>artisan</find>
      <find>for=&quot;email</find>
      <find>auth::user</find>
      <find>h1</find>
      <find>;</find>
      <find>put</find>
      <find>user/edit</find>
      <find>editPass</find>
      <find>delete</find>
      <find>frameworks/edit</find>
      <find>-&gt;MIDDLEWARE</find>
      <find>405</find>
      <find>nullable()</find>
      <find>admin</find>
    </findStrings>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/app/Http/Middleware/VerifyCsrfToken.php" />
        <option value="$PROJECT_DIR$/database/seeds/ComentariosTableSeeder.php" />
        <option value="$PROJECT_DIR$/storage/framework/views/1327f161e3a8e566fb1ccc4f398159ef364b02f6.php" />
        <option value="$PROJECT_DIR$/storage/framework/views/c366e6f0ebcf30b4b86e65ad2788fe7e52fc02a2.php" />
        <option value="$PROJECT_DIR$/storage/framework/views/511e32f4d620c2140e53ac9697d8084ce09f2401.php" />
        <option value="$PROJECT_DIR$/storage/framework/views/580de0630809d103377375eaa71116cbfd800b66.php" />
        <option value="$PROJECT_DIR$/resources/views/login.blade.php" />
        <option value="$PROJECT_DIR$/app/Models/Comentario.php" />
        <option value="$PROJECT_DIR$/config/auth.php" />
        <option value="$PROJECT_DIR$/tests/Unit/ExampleTest.php" />
        <option value="$PROJECT_DIR$/app/Providers/AuthServiceProvider.php" />
        <option value="$PROJECT_DIR$/resources/views/layouts/navbar.blade.php" />
        <option value="$PROJECT_DIR$/resources/views/my-account/index.blade.php" />
        <option value="$PROJECT_DIR$/resources/sass/app.scss" />
        <option value="$PROJECT_DIR$/app/Http/Controllers/Auth/RegisterController.php" />
        <option value="$PROJECT_DIR$/resources/views/myAccount/index.blade.php" />
        <option value="$PROJECT_DIR$/resources/views/frameworks/ver.blade.php" />
        <option value="$PROJECT_DIR$/app/Http/Controllers/HomeController.php" />
        <option value="$PROJECT_DIR$/app/Http/Controllers/FrameworksController.php" />
        <option value="$PROJECT_DIR$/resources/views/frameworks/new.blade.php" />
        <option value="$PROJECT_DIR$/resources/views/admin/index.blade.php" />
        <option value="$PROJECT_DIR$/resources/views/admin/comentarios.blade.php" />
        <option value="$PROJECT_DIR$/public/css/estilos.css" />
        <option value="$PROJECT_DIR$/resources/views/index.blade.php" />
        <option value="$PROJECT_DIR$/resources/views/register.blade.php" />
        <option value="$PROJECT_DIR$/app/Http/Controllers/API/UserController.php" />
        <option value="$PROJECT_DIR$/app/Http/Controllers/API/FrameworksController.php" />
        <option value="E:/Aplicaciones Enriquecidas/finallll/routes/api.php" />
        <option value="E:/Aplicaciones Enriquecidas/finallll/routes/web.php" />
        <option value="E:/Aplicaciones Enriquecidas/finallll/tests/Feature/API/FrameworksTest.php" />
        <option value="$PROJECT_DIR$/resources/views/frameworks/edit.blade.php" />
        <option value="$PROJECT_DIR$/app/Http/Controllers/AdminController.php" />
        <option value="$PROJECT_DIR$/resources/views/layouts/main.blade.php" />
        <option value="$PROJECT_DIR$/app/Http/Middleware/CheckToken.php" />
        <option value="$PROJECT_DIR$/app/Http/Controllers/API/ComentariosController.php" />
        <option value="$PROJECT_DIR$/app/Http/Middleware/CheckTokenComment.php" />
        <option value="$PROJECT_DIR$/app/Http/Middleware/CheckUserToken.php" />
        <option value="$PROJECT_DIR$/app/Http/Controllers/UserController.php" />
        <option value="$PROJECT_DIR$/app/Http/Controllers/API/UsersController.php" />
        <option value="$PROJECT_DIR$/database/migrations/2019_04_28_201606_create_users_table.php" />
        <option value="$PROJECT_DIR$/app/User.php" />
        <option value="$PROJECT_DIR$/app/Http/Middleware/AdminApi.php" />
        <option value="$PROJECT_DIR$/tests/Feature/API/ComentariosTest.php" />
        <option value="$PROJECT_DIR$/tests/Feature/API/UsersTest.php" />
        <option value="$PROJECT_DIR$/routes/web.php" />
        <option value="$PROJECT_DIR$/app/Http/Middleware/TokenAdmin.php" />
        <option value="$PROJECT_DIR$/app/Http/Kernel.php" />
        <option value="$PROJECT_DIR$/routes/api.php" />
        <option value="$PROJECT_DIR$/tests/Feature/API/FrameworksTest.php" />
        <option value="$PROJECT_DIR$/tests/Feature/API/AuthTest.php" />
        <option value="$PROJECT_DIR$/app/Http/Controllers/API/AuthController.php" />
      </list>
    </option>
  </component>
  <component name="PhpWorkspaceProjectConfiguration">
    <include_path>
      <path value="$PROJECT_DIR$/vendor/hamcrest/hamcrest-php" />
      <path value="$PROJECT_DIR$/vendor/fzaninotto/faker" />
      <path value="$PROJECT_DIR$/vendor/vlucas/phpdotenv" />
      <path value="$PROJECT_DIR$/vendor/nikic/php-parser" />
      <path value="$PROJECT_DIR$/vendor/tijsverkoyen/css-to-inline-styles" />
      <path value="$PROJECT_DIR$/vendor/dragonmantank/cron-expression" />
      <path value="$PROJECT_DIR$/vendor/psy/psysh" />
      <path value="$PROJECT_DIR$/vendor/monolog/monolog" />
      <path value="$PROJECT_DIR$/vendor/mockery/mockery" />
      <path value="$PROJECT_DIR$/vendor/erusev/parsedown" />
      <path value="$PROJECT_DIR$/vendor/dnoegel/php-xdg-base-dir" />
      <path value="$PROJECT_DIR$/vendor/league/flysystem" />
      <path value="$PROJECT_DIR$/vendor/phar-io/version" />
      <path value="$PROJECT_DIR$/vendor/fideloper/proxy" />
      <path value="$PROJECT_DIR$/vendor/phar-io/manifest" />
      <path value="$PROJECT_DIR$/vendor/egulias/email-validator" />
      <path value="$PROJECT_DIR$/vendor/theseer/tokenizer" />
      <path value="$PROJECT_DIR$/vendor/symfony/process" />
      <path value="$PROJECT_DIR$/vendor/jakub-onderka/php-console-color" />
      <path value="$PROJECT_DIR$/vendor/symfony/console" />
      <path value="$PROJECT_DIR$/vendor/jakub-onderka/php-console-highlighter" />
      <path value="$PROJECT_DIR$/vendor/symfony/polyfill-iconv" />
      <path value="$PROJECT_DIR$/vendor/symfony/debug" />
      <path value="$PROJECT_DIR$/vendor/symfony/polyfill-intl-idn" />
      <path value="$PROJECT_DIR$/vendor/paragonie/random_compat" />
      <path value="$PROJECT_DIR$/vendor/symfony/var-dumper" />
      <path value="$PROJECT_DIR$/vendor/symfony/http-kernel" />
      <path value="$PROJECT_DIR$/vendor/symfony/polyfill-php72" />
      <path value="$PROJECT_DIR$/vendor/symfony/finder" />
      <path value="$PROJECT_DIR$/vendor/symfony/contracts" />
      <path value="$PROJECT_DIR$/vendor/symfony/css-selector" />
      <path value="$PROJECT_DIR$/vendor/symfony/routing" />
      <path value="$PROJECT_DIR$/vendor/symfony/polyfill-ctype" />
      <path value="$PROJECT_DIR$/vendor/symfony/event-dispatcher" />
      <path value="$PROJECT_DIR$/vendor/phpunit/php-timer" />
      <path value="$PROJECT_DIR$/vendor/symfony/polyfill-mbstring" />
      <path value="$PROJECT_DIR$/vendor/phpunit/php-file-iterator" />
      <path value="$PROJECT_DIR$/vendor/symfony/translation" />
      <path value="$PROJECT_DIR$/vendor/phpunit/php-token-stream" />
      <path value="$PROJECT_DIR$/vendor/phpunit/php-text-template" />
      <path value="$PROJECT_DIR$/vendor/symfony/http-foundation" />
      <path value="$PROJECT_DIR$/vendor/phpunit/phpunit/src" />
      <path value="$PROJECT_DIR$/vendor/filp/whoops" />
      <path value="$PROJECT_DIR$/vendor/phpunit/php-code-coverage" />
      <path value="$PROJECT_DIR$/vendor/phpoption/phpoption" />
      <path value="$PROJECT_DIR$/vendor/ramsey/uuid" />
      <path value="$PROJECT_DIR$/vendor/phpspec/prophecy" />
      <path value="$PROJECT_DIR$/vendor/phpdocumentor/type-resolver" />
      <path value="$PROJECT_DIR$/vendor/phpdocumentor/reflection-docblock" />
      <path value="$PROJECT_DIR$/vendor/nunomaduro/collision" />
      <path value="$PROJECT_DIR$/vendor/phpdocumentor/reflection-common" />
      <path value="$PROJECT_DIR$/vendor/doctrine/inflector" />
      <path value="$PROJECT_DIR$/vendor/doctrine/instantiator" />
      <path value="$PROJECT_DIR$/vendor/sebastian/global-state" />
      <path value="$PROJECT_DIR$/vendor/doctrine/lexer" />
      <path value="$PROJECT_DIR$/vendor/sebastian/environment" />
      <path value="$PROJECT_DIR$/vendor/composer" />
      <path value="$PROJECT_DIR$/vendor/sebastian/comparator" />
      <path value="$PROJECT_DIR$/vendor/sebastian/recursion-context" />
      <path value="$PROJECT_DIR$/vendor/sebastian/exporter" />
      <path value="$PROJECT_DIR$/vendor/nesbot/carbon" />
      <path value="$PROJECT_DIR$/vendor/sebastian/object-reflector" />
      <path value="$PROJECT_DIR$/vendor/sebastian/object-enumerator" />
      <path value="$PROJECT_DIR$/vendor/sebastian/code-unit-reverse-lookup" />
      <path value="$PROJECT_DIR$/vendor/sebastian/resource-operations" />
      <path value="$PROJECT_DIR$/vendor/sebastian/version" />
      <path value="$PROJECT_DIR$/vendor/sebastian/diff" />
      <path value="$PROJECT_DIR$/vendor/myclabs/deep-copy" />
      <path value="$PROJECT_DIR$/vendor/swiftmailer/swiftmailer" />
      <path value="$PROJECT_DIR$/vendor/webmozart/assert" />
      <path value="$PROJECT_DIR$/vendor/opis/closure" />
      <path value="$PROJECT_DIR$/vendor/beyondcode/laravel-dump-server" />
      <path value="$PROJECT_DIR$/vendor/psr/container" />
      <path value="$PROJECT_DIR$/vendor/psr/log" />
      <path value="$PROJECT_DIR$/vendor/psr/simple-cache" />
      <path value="$PROJECT_DIR$/vendor/laravel/tinker" />
      <path value="$PROJECT_DIR$/vendor/laravel/framework" />
      <path value="$PROJECT_DIR$/vendor/laravel/passport" />
      <path value="$PROJECT_DIR$/vendor/league/event" />
      <path value="$PROJECT_DIR$/vendor/league/oauth2-server" />
      <path value="$PROJECT_DIR$/vendor/zendframework/zend-diactoros" />
      <path value="$PROJECT_DIR$/vendor/guzzlehttp/guzzle" />
      <path value="$PROJECT_DIR$/vendor/ralouphie/getallheaders" />
      <path value="$PROJECT_DIR$/vendor/guzzlehttp/promises" />
      <path value="$PROJECT_DIR$/vendor/guzzlehttp/psr7" />
      <path value="$PROJECT_DIR$/vendor/phpseclib/phpseclib" />
      <path value="$PROJECT_DIR$/vendor/lcobucci/jwt" />
      <path value="$PROJECT_DIR$/vendor/defuse/php-encryption" />
      <path value="$PROJECT_DIR$/vendor/firebase/php-jwt" />
      <path value="$PROJECT_DIR$/vendor/psr/http-factory" />
      <path value="$PROJECT_DIR$/vendor/psr/http-message" />
      <path value="$PROJECT_DIR$/vendor/symfony/psr-http-message-bridge" />
      <path value="$PROJECT_DIR$/vendor/phpunit/phpunit" />
    </include_path>
  </component>
  <component name="ProjectFrameBounds" extendedState="6">
    <option name="width" value="1542" />
    <option name="height" value="1040" />
  </component>
  <component name="ProjectLevelVcsManager">
    <ConfirmationsSetting value="2" id="Add" />
  </component>
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="Scope" />
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="tp-laravel" type="b2602c69:ProjectViewProjectNode" />
              <item name="tp-laravel" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="tp-laravel" type="b2602c69:ProjectViewProjectNode" />
              <item name="tp-laravel" type="462c0819:PsiDirectoryNode" />
              <item name="app" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="tp-laravel" type="b2602c69:ProjectViewProjectNode" />
              <item name="tp-laravel" type="462c0819:PsiDirectoryNode" />
              <item name="app" type="462c0819:PsiDirectoryNode" />
              <item name="Http" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="tp-laravel" type="b2602c69:ProjectViewProjectNode" />
              <item name="tp-laravel" type="462c0819:PsiDirectoryNode" />
              <item name="app" type="462c0819:PsiDirectoryNode" />
              <item name="Http" type="462c0819:PsiDirectoryNode" />
              <item name="Controllers" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="tp-laravel" type="b2602c69:ProjectViewProjectNode" />
              <item name="tp-laravel" type="462c0819:PsiDirectoryNode" />
              <item name="app" type="462c0819:PsiDirectoryNode" />
              <item name="Http" type="462c0819:PsiDirectoryNode" />
              <item name="Controllers" type="462c0819:PsiDirectoryNode" />
              <item name="API" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="tp-laravel" type="b2602c69:ProjectViewProjectNode" />
              <item name="tp-laravel" type="462c0819:PsiDirectoryNode" />
              <item name="app" type="462c0819:PsiDirectoryNode" />
              <item name="Http" type="462c0819:PsiDirectoryNode" />
              <item name="Middleware" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="tp-laravel" type="b2602c69:ProjectViewProjectNode" />
              <item name="tp-laravel" type="462c0819:PsiDirectoryNode" />
              <item name="app" type="462c0819:PsiDirectoryNode" />
              <item name="Models" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="tp-laravel" type="b2602c69:ProjectViewProjectNode" />
              <item name="tp-laravel" type="462c0819:PsiDirectoryNode" />
              <item name="database" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="tp-laravel" type="b2602c69:ProjectViewProjectNode" />
              <item name="tp-laravel" type="462c0819:PsiDirectoryNode" />
              <item name="public" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="tp-laravel" type="b2602c69:ProjectViewProjectNode" />
              <item name="tp-laravel" type="462c0819:PsiDirectoryNode" />
              <item name="public" type="462c0819:PsiDirectoryNode" />
              <item name="css" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="tp-laravel" type="b2602c69:ProjectViewProjectNode" />
              <item name="tp-laravel" type="462c0819:PsiDirectoryNode" />
              <item name="resources" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="tp-laravel" type="b2602c69:ProjectViewProjectNode" />
              <item name="tp-laravel" type="462c0819:PsiDirectoryNode" />
              <item name="resources" type="462c0819:PsiDirectoryNode" />
              <item name="js" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="tp-laravel" type="b2602c69:ProjectViewProjectNode" />
              <item name="tp-laravel" type="462c0819:PsiDirectoryNode" />
              <item name="resources" type="462c0819:PsiDirectoryNode" />
              <item name="views" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="tp-laravel" type="b2602c69:ProjectViewProjectNode" />
              <item name="tp-laravel" type="462c0819:PsiDirectoryNode" />
              <item name="resources" type="462c0819:PsiDirectoryNode" />
              <item name="views" type="462c0819:PsiDirectoryNode" />
              <item name="admin" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="tp-laravel" type="b2602c69:ProjectViewProjectNode" />
              <item name="tp-laravel" type="462c0819:PsiDirectoryNode" />
              <item name="resources" type="462c0819:PsiDirectoryNode" />
              <item name="views" type="462c0819:PsiDirectoryNode" />
              <item name="frameworks" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="tp-laravel" type="b2602c69:ProjectViewProjectNode" />
              <item name="tp-laravel" type="462c0819:PsiDirectoryNode" />
              <item name="resources" type="462c0819:PsiDirectoryNode" />
              <item name="views" type="462c0819:PsiDirectoryNode" />
              <item name="layouts" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="tp-laravel" type="b2602c69:ProjectViewProjectNode" />
              <item name="tp-laravel" type="462c0819:PsiDirectoryNode" />
              <item name="routes" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="tp-laravel" type="b2602c69:ProjectViewProjectNode" />
              <item name="tp-laravel" type="462c0819:PsiDirectoryNode" />
              <item name="tests" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="tp-laravel" type="b2602c69:ProjectViewProjectNode" />
              <item name="tp-laravel" type="462c0819:PsiDirectoryNode" />
              <item name="tests" type="462c0819:PsiDirectoryNode" />
              <item name="Feature" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="tp-laravel" type="b2602c69:ProjectViewProjectNode" />
              <item name="tp-laravel" type="462c0819:PsiDirectoryNode" />
              <item name="tests" type="462c0819:PsiDirectoryNode" />
              <item name="Feature" type="462c0819:PsiDirectoryNode" />
              <item name="API" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="tp-laravel" type="b2602c69:ProjectViewProjectNode" />
              <item name="tp-laravel" type="462c0819:PsiDirectoryNode" />
              <item name="tests" type="462c0819:PsiDirectoryNode" />
              <item name="Unit" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="DatabaseDriversLRU" value="mysql" />
    <property name="SHARE_PROJECT_CONFIGURATION_FILES" value="true" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$/vendor/phpunit/phpunit/src" />
    <property name="nodejs_interpreter_path.stuck_in_default_project" value="undefined stuck path" />
    <property name="nodejs_npm_path_reset_for_default_project" value="true" />
    <property name="nodejs_package_manager_path" value="yarn" />
    <property name="settings.editor.selected.configurable" value="MTConfigurable" />
  </component>
  <component name="RecentsManager">
    <key name="CopyFile.RECENT_KEYS">
      <recent name="C:\xampp\htdocs\tp-laravel\app\Http\Middleware" />
      <recent name="C:\xampp\htdocs\tp-laravel\tests\Feature\API" />
      <recent name="C:\xampp\htdocs\tp-laravel\app\Http\Controllers\API" />
      <recent name="C:\xampp\htdocs\tp-laravel\app\Http\Controllers" />
      <recent name="C:\xampp\htdocs\tp-laravel\resources\views\my-account" />
    </key>
    <key name="MoveFile.RECENT_KEYS">
      <recent name="C:\xampp\htdocs\tp-laravel\app\Http\Controllers\API" />
      <recent name="C:\xampp\htdocs\tp-laravel\public" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager" selected="PHPUnit.FrameworksTest.testEditarLoHaceCorrectamente">
    <configuration name="FrameworksTest.testEditarLoHaceCorrectamente" type="PHPUnitRunConfigurationType" factoryName="PHPUnit" temporary="true">
      <TestRunner class="Tests\Feature\API\FrameworksTest" file="$PROJECT_DIR$/tests/Feature/API/FrameworksTest.php" method="testEditarLoHaceCorrectamente" scope="Method" />
      <method v="2" />
    </configuration>
    <configuration name="FrameworksTest.testEditarMuestraErroresDeValidacionConDataErronea" type="PHPUnitRunConfigurationType" factoryName="PHPUnit" temporary="true">
      <TestRunner class="Tests\Feature\API\FrameworksTest" file="$PROJECT_DIR$/tests/Feature/API/FrameworksTest.php" method="testEditarMuestraErroresDeValidacionConDataErronea" scope="Method" />
      <method v="2" />
    </configuration>
    <configuration name="phpunit.xml" type="PHPUnitRunConfigurationType" factoryName="PHPUnit">
      <TestRunner scope="XML" />
      <method v="2" />
    </configuration>
    <recent_temporary>
      <list>
        <item itemvalue="PHPUnit.FrameworksTest.testEditarLoHaceCorrectamente" />
        <item itemvalue="PHPUnit.FrameworksTest.testEditarMuestraErroresDeValidacionConDataErronea" />
      </list>
    </recent_temporary>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="894e654d-7795-41f8-b884-e08ed895989d" name="Default Changelist" comment="" />
      <created>1555977532085</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1555977532085</updated>
      <workItem from="1555977534260" duration="8433000" />
      <workItem from="1556477178030" duration="18755000" />
      <workItem from="1556720283867" duration="14380000" />
      <workItem from="1557354519237" duration="10237000" />
      <workItem from="1561069701898" duration="8725000" />
      <workItem from="1561315632916" duration="14447000" />
      <workItem from="1561589989536" duration="3861000" />
      <workItem from="1562801542328" duration="8164000" />
      <workItem from="1562880902494" duration="10099000" />
      <workItem from="1563028449632" duration="10736000" />
      <workItem from="1563143002458" duration="10455000" />
      <workItem from="1563232256770" duration="9343000" />
      <workItem from="1563316688284" duration="11538000" />
      <workItem from="1563405608572" duration="6290000" />
      <workItem from="1563412577230" duration="538000" />
      <workItem from="1563838157790" duration="3623000" />
      <workItem from="1564241004019" duration="21063000" />
    </task>
    <servers />
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="170687000" />
  </component>
  <component name="TodoView">
    <todo-panel id="selected-file">
      <is-autoscroll-to-source value="true" />
    </todo-panel>
    <todo-panel id="all">
      <are-packages-shown value="true" />
      <is-autoscroll-to-source value="true" />
    </todo-panel>
  </component>
  <component name="ToolWindowManager">
    <frame x="-8" y="-8" width="1936" height="1056" extended-state="6" />
    <editor active="true" />
    <layout>
      <window_info active="true" content_ui="combo" id="Project" order="0" visible="true" weight="0.22014925" />
      <window_info id="Favorites" order="1" side_tool="true" />
      <window_info id="npm" order="2" side_tool="true" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" weight="0.32998884" />
      <window_info anchor="bottom" id="Run" order="2" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.4" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" weight="0.32998884" />
      <window_info anchor="bottom" id="Docker" order="7" show_stripe_button="false" />
      <window_info anchor="bottom" id="Database Changes" order="8" show_stripe_button="false" />
      <window_info anchor="bottom" id="Version Control" order="9" weight="0.32998884" />
      <window_info anchor="bottom" id="Terminal" order="10" sideWeight="0.4978678" visible="true" weight="0.31772575" />
      <window_info anchor="bottom" id="Event Log" order="11" sideWeight="0.5021322" side_tool="true" weight="0.35785952" />
      <window_info anchor="bottom" id="Structure" order="12" weight="0.36231884" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="right" id="Database" order="3" weight="0.32995737" />
    </layout>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="Vcs.Log.Tabs.Properties">
    <option name="TAB_STATES">
      <map>
        <entry key="MAIN">
          <value>
            <State>
              <option name="RECENTLY_FILTERED_USER_GROUPS">
                <collection />
              </option>
              <option name="RECENTLY_FILTERED_BRANCH_GROUPS">
                <collection />
              </option>
              <option name="COLUMN_ORDER">
                <list>
                  <option value="0" />
                  <option value="1" />
                  <option value="2" />
                  <option value="3" />
                </list>
              </option>
            </State>
          </value>
        </entry>
      </map>
    </option>
    <option name="RECENT_FILTERS">
      <map>
        <entry key="Branch">
          <value>
            <list />
          </value>
        </entry>
        <entry key="User">
          <value>
            <list />
          </value>
        </entry>
      </map>
    </option>
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/resources/views/frameworks/new.blade.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="414">
          <caret line="18" column="21" selection-start-line="18" selection-start-column="21" selection-end-line="18" selection-end-column="21" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/resources/views/frameworks/edit.blade.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="414">
          <caret line="18" column="21" selection-start-line="18" selection-start-column="21" selection-end-line="18" selection-end-column="21" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/resources/views/admin/comentarios.blade.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="414">
          <caret line="30" column="8" selection-start-line="30" selection-start-column="8" selection-end-line="37" selection-end-column="14" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/public/css/estilos.css">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="353">
          <caret line="67" column="15" lean-forward="true" selection-start-line="67" selection-start-column="15" selection-end-line="67" selection-end-column="15" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Http/Controllers/Controller.php">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/resources/views/myAccount/index.blade.php" />
    <entry file="file://$PROJECT_DIR$/app/Http/Controllers/API/UserController.php" />
    <entry file="file://$PROJECT_DIR$/app/Http/Controllers/Auth/RegisterController.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="424">
          <caret line="31" column="53" lean-forward="true" selection-start-line="31" selection-start-column="53" selection-end-line="31" selection-end-column="53" />
          <folding>
            <element signature="e#45#58#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/resources/views/login.blade.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="736">
          <caret line="32" column="30" lean-forward="true" selection-start-line="32" selection-start-column="30" selection-end-line="32" selection-end-column="30" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/resources/views/admin/index.blade.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="437">
          <caret line="19" column="21" selection-start-line="19" selection-start-column="21" selection-end-line="19" selection-end-column="21" />
        </state>
      </provider>
    </entry>
    <entry file="file://E:/Aplicaciones Enriquecidas/finallll/tests/Feature/API/FrameworksTest.php" />
    <entry file="file://E:/Aplicaciones Enriquecidas/finallll/routes/api.php" />
    <entry file="file://E:/Aplicaciones Enriquecidas/finallll/routes/web.php" />
    <entry file="file://$PROJECT_DIR$/resources/views/register.blade.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="722">
          <caret line="38" column="116" selection-start-line="38" selection-start-column="116" selection-end-line="38" selection-end-column="116" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/resources/views/frameworks/_form.blade.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1012">
          <caret line="44" column="9" selection-start-line="44" selection-start-column="9" selection-end-line="44" selection-end-column="9" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Http/Controllers/AdminController.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="378">
          <caret line="22" column="41" lean-forward="true" selection-start-line="22" selection-start-column="41" selection-end-line="22" selection-end-column="41" />
          <folding>
            <element signature="e#40#66#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/resources/views/layouts/main.blade.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="378">
          <caret line="37" column="47" lean-forward="true" selection-start-line="37" selection-start-column="47" selection-end-line="37" selection-end-column="47" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/resources/views/index.blade.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-257">
          <caret line="43" column="28" selection-start-line="43" selection-start-column="28" selection-end-line="43" selection-end-column="28" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Http/Controllers/FrameworksController.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="138">
          <caret line="60" column="5" lean-forward="true" selection-start-line="60" selection-start-column="5" selection-end-line="60" selection-end-column="5" />
          <folding>
            <element signature="e#40#65#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Http/Controllers/AuthController.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="345">
          <caret line="17" column="39" selection-start-line="17" selection-start-column="39" selection-end-line="17" selection-end-column="39" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/.env.testing">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/.env">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Http/Controllers/UserController.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="69">
          <caret line="3" lean-forward="true" selection-start-line="3" selection-end-line="3" />
          <folding>
            <element signature="e#40#89#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/database/migrations/2019_06_23_185624_create_comentarios__table.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-107" />
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/database/migrations/2019_04_28_195732_create_frameworks_table.php">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/database/migrations/2019_05_09_000124_add_deleted_at_to_frameworks_table.php">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/database/migrations/2019_04_28_205951_create_estrellas_table.php">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/database/migrations/2019_04_28_210303_add_id_estrellas_to_frameworks_table.php">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/database/migrations/2019_04_28_201606_create_users_table.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="225">
          <caret line="20" column="64" selection-start-line="20" selection-start-column="64" selection-end-line="20" selection-end-column="64" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Http/Controllers/ComentariosController.php">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/app/User.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="414">
          <caret line="27" column="56" selection-start-line="27" selection-start-column="56" selection-end-line="27" selection-end-column="56" />
          <folding>
            <element signature="e#23#49#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Http/Middleware/VerifyCsrfToken.php">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Http/Middleware/AdminApi.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="208">
          <caret line="15" column="7" lean-forward="true" selection-start-line="15" selection-start-column="7" selection-end-line="15" selection-end-column="7" />
          <folding>
            <element signature="e#39#51#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Http/Middleware/Admin.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="483">
          <caret line="22" column="5" lean-forward="true" selection-start-line="22" selection-start-column="5" selection-end-line="22" selection-end-column="5" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Http/Middleware/Authenticate.php">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/routes/web.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="263">
          <caret line="25" column="26" selection-start-line="25" selection-start-column="26" selection-end-line="25" selection-end-column="26" />
          <folding>
            <element signature="e#7#389#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Http/Middleware/TokenAdmin.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="290">
          <caret line="18" selection-start-line="18" selection-end-line="18" />
          <folding>
            <element signature="e#39#51#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Http/Middleware/CheckUserToken.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="184">
          <caret line="13" column="30" lean-forward="true" selection-start-line="13" selection-start-column="30" selection-end-line="13" selection-end-column="30" />
          <folding>
            <element signature="e#39#51#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Http/Kernel.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="391">
          <caret line="56" column="56" selection-start-line="56" selection-start-column="56" selection-end-line="56" selection-end-column="56" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/tests/Feature/API/FrameworksTest.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-737">
          <caret line="12" column="1" lean-forward="true" selection-start-line="12" selection-start-column="1" selection-end-line="12" selection-end-column="1" />
          <folding>
            <element signature="e#37#50#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/routes/api.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="428">
          <caret line="28" column="45" lean-forward="true" selection-start-line="28" selection-start-column="18" selection-end-line="28" selection-end-column="45" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/tests/Feature/API/UsersTest.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1226">
          <caret line="69" column="14" selection-start-line="69" selection-start-column="14" selection-end-line="69" selection-end-column="14" />
          <folding>
            <element signature="e#37#50#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/tests/Feature/API/AuthTest.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="321">
          <caret line="67" column="11" lean-forward="true" selection-start-line="67" selection-start-column="11" selection-end-line="67" selection-end-column="11" />
          <folding>
            <element signature="e#37#50#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/tests/Feature/API/ComentariosTest.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="322">
          <caret line="14" column="34" lean-forward="true" selection-start-line="14" selection-start-column="34" selection-end-line="14" selection-end-column="34" />
          <folding>
            <element signature="e#37#89#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Models/Framework.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-414" />
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Models/Estrellas.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-116" />
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Models/Comentario.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="207">
          <caret line="11" lean-forward="true" selection-start-line="11" selection-end-line="11" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Http/Controllers/API/UsersController.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="368">
          <caret line="21" lean-forward="true" selection-start-line="21" selection-end-line="21" />
          <folding>
            <element signature="e#44#57#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Http/Controllers/API/ComentariosController.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="989">
          <caret line="43" selection-start-line="43" selection-end-line="43" />
          <folding>
            <element signature="e#44#70#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Http/Controllers/API/FrameworksController.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="69">
          <caret line="4" column="25" lean-forward="true" selection-start-line="4" selection-start-column="25" selection-end-line="4" selection-end-column="25" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Http/Controllers/API/AuthController.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="391">
          <caret line="89" column="8" selection-start-line="89" selection-start-column="8" selection-end-line="89" selection-end-column="8" />
          <folding>
            <element signature="e#44#93#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
  </component>
</project>